curl -X PATCH "https://app.usatimbre.com/api/profile/XAXX010101000/tax-info" \
-H "Authorization: Bearer tmb_your_api_key_here" \
-H "Content-Type: application/json" \
-d '{
"tax_id": "XAXX010101000",
"postal_code": "12345",
"invoice_fiscal_regimen": "601",
"invoice_cfdi_use": "G03"
}'
const response = await fetch('https://app.usatimbre.com/api/profile/XAXX010101000/tax-info', {
method: 'PATCH',
headers: {
'Authorization': 'Bearer tmb_your_api_key_here',
'Content-Type': 'application/json'
},
body: JSON.stringify({
tax_id: 'XAXX010101000',
postal_code: '12345',
invoice_fiscal_regimen: '601',
invoice_cfdi_use: 'G03'
})
});
const taxInfo = await response.json();
import requests
response = requests.patch(
'https://app.usatimbre.com/api/profile/XAXX010101000/tax-info',
headers={
'Authorization': 'Bearer tmb_your_api_key_here',
'Content-Type': 'application/json'
},
json={
'tax_id': 'XAXX010101000',
'postal_code': '12345',
'invoice_fiscal_regimen': '601',
'invoice_cfdi_use': 'G03'
}
)
tax_info = response.json()
{
"tax_id": "XAXX010101000",
"taxpayer": "Juan Pérez",
"street": "Calle Principal 123",
"ext_num": "123",
"neighborhood": "Centro",
"city": "Ciudad de México",
"state": "CDMX",
"country": "México",
"postal_code": "12345",
"fiscal_regimen": "601",
"cfdi_use": "G03"
}
{
"error": "Bad Request",
"message": "Invalid fiscal regimen code"
}
Gestión de Perfiles
Update Tax Info
Update tax information for a profile
PATCH
/
api
/
profile
/
{rfc}
/
tax-info
curl -X PATCH "https://app.usatimbre.com/api/profile/XAXX010101000/tax-info" \
-H "Authorization: Bearer tmb_your_api_key_here" \
-H "Content-Type: application/json" \
-d '{
"tax_id": "XAXX010101000",
"postal_code": "12345",
"invoice_fiscal_regimen": "601",
"invoice_cfdi_use": "G03"
}'
const response = await fetch('https://app.usatimbre.com/api/profile/XAXX010101000/tax-info', {
method: 'PATCH',
headers: {
'Authorization': 'Bearer tmb_your_api_key_here',
'Content-Type': 'application/json'
},
body: JSON.stringify({
tax_id: 'XAXX010101000',
postal_code: '12345',
invoice_fiscal_regimen: '601',
invoice_cfdi_use: 'G03'
})
});
const taxInfo = await response.json();
import requests
response = requests.patch(
'https://app.usatimbre.com/api/profile/XAXX010101000/tax-info',
headers={
'Authorization': 'Bearer tmb_your_api_key_here',
'Content-Type': 'application/json'
},
json={
'tax_id': 'XAXX010101000',
'postal_code': '12345',
'invoice_fiscal_regimen': '601',
'invoice_cfdi_use': 'G03'
}
)
tax_info = response.json()
{
"tax_id": "XAXX010101000",
"taxpayer": "Juan Pérez",
"street": "Calle Principal 123",
"ext_num": "123",
"neighborhood": "Centro",
"city": "Ciudad de México",
"state": "CDMX",
"country": "México",
"postal_code": "12345",
"fiscal_regimen": "601",
"cfdi_use": "G03"
}
{
"error": "Bad Request",
"message": "Invalid fiscal regimen code"
}
Overview
Update the tax information associated with a profile. This is used for invoice generation.Path Parameters
string
required
The RFC (Mexican tax ID) or UUID of the profile
Request Body
string
RFC (Registro Federal de Contribuyentes)
string
Postal code (Código Postal). Must be a valid Mexican postal code.
string
Fiscal regimen code. Common values:
601- General de Ley Personas Morales603- Personas Morales con Fines no Lucrativos605- Sueldos y Salarios606- Arrendamiento612- Personas Físicas con Actividades Empresariales616- Sin obligaciones fiscales625- Régimen Simplificado de Confianza
string
CFDI usage code. Common values:
G01- Adquisición de mercancíasG02- Devoluciones, descuentos o bonificacionesG03- Gastos en generalP01- Por definir
Response
Returns the updated tax information object.curl -X PATCH "https://app.usatimbre.com/api/profile/XAXX010101000/tax-info" \
-H "Authorization: Bearer tmb_your_api_key_here" \
-H "Content-Type: application/json" \
-d '{
"tax_id": "XAXX010101000",
"postal_code": "12345",
"invoice_fiscal_regimen": "601",
"invoice_cfdi_use": "G03"
}'
const response = await fetch('https://app.usatimbre.com/api/profile/XAXX010101000/tax-info', {
method: 'PATCH',
headers: {
'Authorization': 'Bearer tmb_your_api_key_here',
'Content-Type': 'application/json'
},
body: JSON.stringify({
tax_id: 'XAXX010101000',
postal_code: '12345',
invoice_fiscal_regimen: '601',
invoice_cfdi_use: 'G03'
})
});
const taxInfo = await response.json();
import requests
response = requests.patch(
'https://app.usatimbre.com/api/profile/XAXX010101000/tax-info',
headers={
'Authorization': 'Bearer tmb_your_api_key_here',
'Content-Type': 'application/json'
},
json={
'tax_id': 'XAXX010101000',
'postal_code': '12345',
'invoice_fiscal_regimen': '601',
'invoice_cfdi_use': 'G03'
}
)
tax_info = response.json()
{
"tax_id": "XAXX010101000",
"taxpayer": "Juan Pérez",
"street": "Calle Principal 123",
"ext_num": "123",
"neighborhood": "Centro",
"city": "Ciudad de México",
"state": "CDMX",
"country": "México",
"postal_code": "12345",
"fiscal_regimen": "601",
"cfdi_use": "G03"
}
{
"error": "Bad Request",
"message": "Invalid fiscal regimen code"
}